Class | Chef::Provider::ResourceUpdate
In: | lib/chef/provider/resource_update.rb
Parent: | Object

{

       "run_id" : "1000",
       "resource" : {
            "type" : "file",
            "name" : "/etc/passwd",
            "start_time" : "2012-01-09T08:15:30-05:00",
            "end_time" : "2012-01-09T08:15:30-05:00",
            "status" : "modified",
            "initial_state" : "exists",
            "final_state" : "modified",
            "before" : {
                 "group" : "root",
                 "owner" : "root",
                 "checksum" : "xyz"
            },
            "after" : {
                 "group" : "root",
                 "owner" : "root",
                 "checksum" : "abc"
            },
            "delta" : "escaped delta goes here"
       },
       "event_data" : ""

}

### Methods

initial_state_from_resource updated_state_from_resource

### Attributes

duration | [RW] |
event_data | [RW] |
final_properties | [RW] |
final_state | [RW] |
initial_properties | [RW] |
initial_state | [RW] |
name | [RW] |
status | [RW] |
type | [RW] |

### Public Instance methods

initial_state_from_resource(resource)
updated_state_from_resource(resource)

[Validate]